%global pypi_name XStatic-QUnit

Name:           python-%{pypi_name}
Version:        1.14.0.2
Release:        2%{?dist}
Summary:        QUnit (XStatic packaging standard)

License:        MIT
URL:            http://qunitjs.com
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem


%description
QUnit JavaScript library packaged for setuptools
(easy_install) / pip.

This package is intended to be used by any project
that needs these files.

It intentionally does not provide any extra code
except some metadata nor has any extra requirements.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/qunit'|" xstatic/pkg/qunit/__init__.py

%build
# due 
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/qunit
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/qunit/data/* %{buildroot}/%{_jsdir}/qunit



%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/qunit
%{python2_sitelib}/XStatic_QUnit-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/XStatic_QUnit-%{version}-py%{python_version}-nspkg.pth
%{_jsdir}/qunit

%changelog
* Thu Sep 04 2014 Matthias Runge <mrunge@redhat.com> - 1.14.0.2-2
- change BR to python2-devel (rhbz#1135448)

* Fri Aug 29 2014 Matthias Runge <mrunge@redhat.com> - 1.14.0.2-1
- Initial package.
